unit frmOpenExport;

interface

uses
  Classes,
  Controls,
  Dialogs,
  Forms,
  Graphics,
  Messages,
  StdCtrls,
  SysUtils,
  Windows,
  Mask,
  JclShell,
  SHFolder,
  JvExMask,
  JvToolEdit;

type
  TOpenExportForm = class(TForm)
    btnCancel: TButton;
    btnOk: TButton;
    chkIsBoundDatabaseFileName: TCheckBox;
    fneDatabaseFileName: TJvFilenameEdit;
    lblApplication: TLabel;
    lblApplicationLabel: TLabel;
    lblDatabaseFileNameLabel: TLabel;
    procedure OnDatabaseFileNameChange(aSender: TObject);
    procedure OnFormCreate(aSender: TObject);
  protected
    function GetDatabaseFileName: string;
    procedure SetDatabaseFileName(const aValue: string);
  public
    function IsBoundDatabaseFileName: Boolean;
    property DatabaseFileName: string read GetDatabaseFileName write SetDatabaseFileName;
  end;

implementation

{$R *.DFM}

function TOpenExportForm.GetDatabaseFileName: string;
begin
  Result := fneDatabaseFileName.FileName;
end;

function TOpenExportForm.IsBoundDatabaseFileName: Boolean;
begin
  Result := chkIsBoundDatabaseFileName.Checked;
end;

procedure TOpenExportForm.OnDatabaseFileNameChange(aSender: TObject);
begin
  btnOk.Enabled := Length(ExtractFileName(fneDatabaseFileName.FileName)) > 0;
  chkIsBoundDatabaseFileName.Enabled := btnOk.Enabled;
end;

procedure TOpenExportForm.OnFormCreate(aSender: TObject);
begin
  fneDatabaseFileName.InitialDir := GetSpecialFolderLocation(CSIDL_PERSONAL)
end;

procedure TOpenExportForm.SetDatabaseFileName(const aValue: string);
begin
  fneDatabaseFileName.FileName := aValue;
end;

end.


