unit kTExportApi;

interface

uses
  Windows,
  SysUtils;

const
   kxpErrorSuccess            =   0;
   kxpErrorInitialization     =   1;
   kxpErrorFileNotFound       =   2;
   kxpErrorPathNotFound       =   3;
   kxpErrorAccessDenied       =   4;
   kxpErrorBadFormat          =   5;
   kxpErrorWrongVersion       =   6;
   kxpErrorInvalidData        =   7;
   kxpErrorSharingViolation   =   8;
   kxpErrorLockViolation      =   9;
   kxpErrorAppendData         =  10;
   kxpErrorPostData           =  11;
   kxpErrorIndexError         =  12;
   kxpErrorWriteData          =  13;
   kxpErrorCancel             =  14;
   kxpErrorFileNotOpen        =  15;
   kxpErrorMaxCountViolation  =  16;
   kxpErrorCustom1            = 101;
   kxpErrorCustom2            = 102;
   kxpErrorCustom3            = 103;
   kxpErrorCustum4            = 104;

type
  TkxpExportInfoRec = packed record
    InterfaceVerMajor  : Byte;
    InterfaceVerMinor  : Byte;
    AppName            : array[0..79] of AnsiChar;
    AppCompany         : array[0..79] of AnsiChar;
    AppVersion         : array[0.. 9] of AnsiChar;
    AppExportName      : array[0..29] of AnsiChar;
    DllName            : array[0..11] of AnsiChar;
    DllCompany         : array[0..79] of AnsiChar;
    DllAuthor          : array[0..79] of AnsiChar;
    DllVersion         : array[0.. 9] of AnsiChar;
    IsFileNameRequired : Boolean;
    DefaultFileExt     : array[0..2 ] of AnsiChar;
    IsClearSupported   : Boolean;
    IsAppInstalled     : Boolean;
    CustomErrorMsg1    : array[0..79] of AnsiChar;
    CustomErrorMsg2    : array[0..79] of AnsiChar;
    CustomErrorMsg3    : array[0..79] of AnsiChar;
    CustomErrorMsg4    : array[0..79] of AnsiChar;
    LastFileName       : PAnsiChar;
  end;
  PkxpExportInfoRec = ^TkxpExportInfoRec;

  TkxpExportDataRec = packed record
    Geschlecht  : array[0..  7] of AnsiChar;
    Anrede      : array[0..  9] of AnsiChar;
    Firma       : array[0..119] of AnsiChar;
    Name        : array[0..119] of AnsiChar;
    Vorname     : array[0.. 29] of AnsiChar;
    Titel       : array[0.. 29] of AnsiChar; {?}
    Adelstitel  : array[0.. 29] of AnsiChar; {?}
    NameVorsatz : array[0.. 29] of AnsiChar; {?}
    NameZusatz  : array[0.. 29] of AnsiChar; {?}
    Zusatz      : array[0..119] of AnsiChar;
    PLZ         : array[0..  9] of AnsiChar;
    Ort         : array[0.. 69] of AnsiChar;
    Ortsteil    : array[0.. 39] of AnsiChar;
    AlOrt       : LongInt;
    Strasse     : array[0.. 45] of AnsiChar;
    Hausnummer  : array[0..  9] of AnsiChar;
    Land        : array[0..  2] of AnsiChar;
    Vorwahl     : array[0..  9] of AnsiChar;
    TelZusatz   : array[0.. 14] of AnsiChar;
    Telefon     : array[0.. 19] of AnsiChar;
    WWW         : array[0.. 59] of AnsiChar;
    Email       : array[0.. 59] of AnsiChar;
  end;
  PkxpExportDataRec = ^TkxpExportDataRec;

implementation

end.























